Name: libfwbuilder
Version: 3.0.7
Release: alt1

Packager: Victor Forsyuk <force@altlinux.org>

Summary: Firewall Builder API
License: GPLv2+
Group: System/Libraries

Url: http://www.fwbuilder.org/
Source: http://downloads.sourceforge.net/fwbuilder/libfwbuilder-%version.tar.gz

Obsoletes: fwbuilder-devel

# Automatically added by buildreq on Thu Sep 25 2008
BuildRequires: gcc-c++ libnet-snmp-devel libqt4-devel libxslt-devel qt4-settings

%description
Firewall Builder API library and compiler framework.

%package devel
Summary: Firewall Builder API Libraries and header files
Group: Development/Other
Requires: %name = %version-%release
Obsoletes: fwbuilder-devel

%description devel
Files needed to develop applications using Firewall Builder API.

%prep
%setup

%build
%configure --with-templatedir=%_datadir/%name --with-lwres
%make_build

%install
%make INSTALL_ROOT=%buildroot install

%files
%_datadir/%name
%_libdir/*.so.*
%exclude %_docdir

%files devel
%doc doc/AUTHORS doc/Credits doc/PatchAcceptancePolicy.txt
%_bindir/libfwbuilder-config*
%_includedir/*
%_libdir/*.so

%changelog
* Mon Sep 28 2009 Victor Forsyuk <force@altlinux.org> 3.0.7-alt1
- 3.0.7

* Thu Jul 09 2009 Victor Forsyuk <force@altlinux.org> 3.0.5-alt1
- 3.0.5

* Fri Dec 12 2008 Victor Forsyuk <force@altlinux.org> 3.0.3-alt1
- 3.0.3

* Wed Nov 26 2008 Victor Forsyuk <force@altlinux.org> 3.0.2-alt1
- 3.0.2

* Thu Sep 25 2008 Victor Forsyuk <force@altlinux.org> 3.0.0-alt1
- 3.0.0

* Sat Aug 09 2008 ALT QA Team Robot <qa-robot@altlinux.org> 2.1.8-alt1.1
- Automated rebuild due to libssl.so.6 -> libssl.so.7 soname change.

* Sun Dec 24 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.1.8-alt1
- 2.1.8

* Wed Nov 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.1.7-alt1
- 2.1.7

* Thu Jun 15 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0.12-alt3
- rebuild with libnetsnmp.so.10

* Sun May 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0.12-alt2
- build with netsnmp

* Sun Apr 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0.12-alt1
- 2.0.12

* Sun Apr 09 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0.11-alt1
- 2.0.11

* Fri Mar 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0.10-alt3
- rebuild with libbind-9.3.2

* Sun Mar 19 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0.10-alt2
- fixed undefined symbols
- updated build dependencies

* Wed Nov 16 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0.10-alt1
- 2.0.10

* Sun Sep 18 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0.9-alt1
- 2.0.9

* Sun Jul 10 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0.8-alt1
- 2.0.8

* Sat May 14 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0.7-alt1
- 2.0.7

* Mon Feb 21 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0.6-alt1
- 2.0.6

* Mon Jan 17 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0.5-alt1
- 2.0.5

* Sat Dec 04 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.4-alt1
- 2.0.4

* Fri Nov 12 2004 ALT QA Team Robot <qa-robot@altlinux.org> 2.0.3-alt1.1
- Removed libelf-devel from build dependencies.

* Sun Oct 03 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Sat Sep 04 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.2-alt1
- 2.0.2

* Fri Aug 13 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.1-alt1
- bugfix release

* Thu Jul 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt2
- 2.0.0 release

* Mon Jul 26 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1.20040726
- the latest nightly build 2004.07.25

* Sat Jul 03 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1.20040703
- the latest nightly build 2004.07.03

* Tue Jun 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1.20040629
- the latest nightly build 2004.06.29 

* Sat Jun 26 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1.20040625
- the latest nightly build 2004.06.25 

* Thu May 13 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.0.2-alt3
- fixed libfwcompiler

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.2-alt2.1
- Rebuilt with openssl-0.9.7d.

* Wed Jan 28 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.0.2-alt2
- rebuild

* Sun Dec 14 2003 Valery Inozemtsev <shrek@altlinux.ru> 1.0.2-alt1
- New version

* Mon Nov 3 2003 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1-alt1
- New version

* Sun Jul 13 2003 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt0
- initial ALTLinux Sisyphus build
